Subject: Re: [netconf] [Anima] [ANIMA] discuss _how_ to adopt draft-richardson-anima-rfc8366bis

From: Michael Richardson <[email-masked]>
Date: Tue, 16 Nov 2021 08:24:21 -0500

Adding netconf@.

Reminding that 8366 was originally a pooling of interests between 6tisch,
ANIMA and NETCONF.

{We haven't yet fixed the entire 6tisch scenario yet.
draft-selander-ace-ake-authz is probably closest to what 6tisch wanted.
It doesn't use 8366 literally as described, but figuratively.}

Toerless Eckert <[email-masked]> wrote:
    > To move the discussion from IETF112 meeting to the mailing list:

    > a) To be able for other drafts to extend the RFC8366 voucher YANG data model, we need
    > to fix up the RFC8366 voucher model. This is the smallest possible RFC8366bis scope.

If we go this direction, fixing the one obvious bug with the assertion
enumeration probably means that we can also advance RFC8633bis to Internet Standard.
There might be a few other bugs that we find that we have to fix.
Anyway, I will attempt to post an update around Dec.1

    > b) We can make the scope bigger by also adding not only the hooks to make it extensible,
    > but actually integrating extensions from other WG drafts.

Bringing in the other extensions, some of which are not yet fully baked,
probably means a pretty long cycle.  For some documents, it might be
very disruptive to both.  So, I think that this is a bad idea.

    > I have no strong opinion either way. I would be happy with option a), as long as we
    > know we are not missing out on any othrer extension point than the one we did already
    > identify!

I think that it's fine if we did 8633bis as IS, and then in a few years, we
collected things again into a new comprehensive document.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide